# Membership | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Membership

- Defined in: Membership.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Membership(user, role)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| comments
| content
| created
| creator
| files
| images
| modified
| modifier
| name
| polls
| role
| site
| stories

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Membership.add(user, role, site)
<static> | Membership.getByName(name, site)
| getConfirmText()
| getFormOptions(name)
| getMacroHandler(name)
| getPermission(action)
<static> | Membership.getRoles()
| link_filter(value, param)
| notify(action, recipient, subject)
<static> | Membership.remove(membership, options)
| require(role)
<static> | Membership.require(role)
| role_macro()
| status_macro()
| toString()
| update(data)
| valueOf()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  touch
  type_macro
  upload_macro

## Class Detail

Membership(user, role)

Parameters:
{User} user
{String} role

## Field Detail

{Comment[]} comments
{Story[]} content
{Date} created
{User} creator
{File[]} files
{Image[]} images
{Date} modified
{User} modifier
{String} name
{Poll[]} polls
{String} role
{Site} site
{Story[]} stories

## Method Detail

- <static> Membership.add(user, role, site)
  Parameters:
  {User} user
  {String} role
  {Site} site
- <static> {Membership} Membership.getByName(name, site)
  Parameters:
  {String} name
  {Site} site
  Returns:
    {Membership}
- {String} getConfirmText()
  Returns:
    {String}
- {Object} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- {HopObject} getMacroHandler(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- <static> {String[]} Membership.getRoles()
  Returns:
    {String[]}
  See:
    defineConstants
- {String} link_filter(value, param)
  Parameters:
  {Object} value
  {Object} param
  Returns:
    {String}
  See:
    HopObject#link_filter
- notify(action, recipient, subject)
  Parameters:
  {String} action
  {String} recipient
  {String} subject
- <static> Membership.remove(membership, options)
  Parameters:
  {Membership} membership
  {Object} options
- {Boolean} require(role)
  Parameters:
  {String} role
  Returns:
    {Boolean}
- <static> {Boolean} Membership.require(role)
  Parameters:
  {String} role
  Returns:
    {Boolean}
- role_macro()
- status_macro()
- {String} toString()
  Returns:
    {String}
- update(data)
  Parameters:
  {Object} data
- valueOf()
  See:
    #toString